<div id="fill_div" >
  <section class="time-filter-data dashboard-div">
    <div class="container">
      <div class="time-wrapper">
        <div class="row">
          <div class="col-lg-4 col-md-3 col-sm-12">
            <div class="mobile-date-picker">
              <div class="form-group">
                <label>{{currentDateLabel}}</label>
                <input type="text" class="blue-text" readonly #selected_date id="selected_date" />
              </div>
              <div class="form-group common-select hide-desktop">
                <label>Lead Source</label>
                <select id="multiple-checkboxes-mobile" class="multi-select" multiple="multiple">
                  <option *ngFor="let item of leadSourceData">{{item}}</option>
                </select>
              </div>
            </div>

          </div>
          <div class="col-lg-8 col-md-9 col-sm-12">
            <div class="select-wrapper">
              <div class="form-group common-select hide-mobile">
                <label>Lead Source</label>
                <select id="multiple-checkboxes" class="multi-select"  multiple="multiple">
                  <option *ngFor="let item of leadSourceData">{{item}}</option>
                </select>
              </div>
              <div class="responsive-select">
                <div class="form-group common-select">
                  <label>Campaigns</label>
                  <select class="bound-dropdown form-select" aria-label="Default select example">
                    <option value="inbound" selected>Inbound</option>
                    <option value="outbound">Outbound</option>
                    <option value="Both">Inbound & Outbound</option>
                  </select>
                </div>
                <div class="form-group time-select">
                  <label>Time Period</label>

                  <select class="time-period-dropdown" aria-label=" Default select example">
                    <option selected>This Week</option>
                    <option value="This Month">This Month</option>
                    <option value="This Year">This Year</option>
                    <option value="Custom">Custom</option>
                  </select>
                </div>
              </div>
              <div class="form-group">
                <!-- <button type="button" (click)="downloadPdf()" class="btn btn-primary common-btn">Download PDF</button> -->
                <button type="button" (click)="openPrintPopup()" class="btn btn-primary common-btn">Download
                  PDF</button>

              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="box-detail-main">
        <div class="row">
          <div class="col-md-4 col-sm-12">
            <div class="row">
              <div class="col-md-10">
                <div class="row g-3">
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Text Sent</p>
                        <h3>{{dashboardData?.messages?.sent?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.messages?.sent?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.messages?.sent?.change,'image')" />
                            
                            {{dashboardData?.messages?.sent?.change}}
                          </p>
                          <span>
                            {{dashboardData?.messages?.sent?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Text Received</p>
                        <h3>{{dashboardData?.messages?.received?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.messages?.received?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.messages?.received?.change,'image')" />
                            {{dashboardData?.messages?.received?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.messages?.received?.complete}} Total
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-sm-12">
            <div class="row">
              <div class="col-md-10 offset-md-1">
                <div class="row g-3">
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Engagement</p>
                        <h3>{{dashboardData?.messages?.received?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.messages?.received?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.messages?.received?.change,'image')" />
                            {{dashboardData?.messages?.received?.change}}
                          </p>
                          <span>
                            {{dashboardData?.messages?.received?.complete}} Total
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Appointments</p>
                        <h3>{{dashboardData?.appointments?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.appointments?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.appointments?.change,'image')" />
                            {{dashboardData?.appointments?.change}}
                          </p>
                          <span>
                            {{dashboardData?.appointments?.complete}} Total
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-sm-12">
            <div class="row">
              <div class="col-md-10 offset-md-2">
                <div class="row g-3">
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Negative</p>
                        <h3>{{dashboardData?.leads?.negative?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.leads?.negative?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.leads?.negative?.change,'image')" />
                            {{dashboardData?.leads?.negative?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.leads?.negative?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Invalid Leads</p>
                        <h3>{{dashboardData?.leads?.bad?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.leads?.bad?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.leads?.bad?.change,'image')" />
                            {{dashboardData?.leads?.bad?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.leads?.bad?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>

          <div class="col-md-4 col-sm-12">
            <div class="row">
              <div class="col-md-10">
                <div class="row g-3">
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Calls Triggered</p>
                        <h3>{{dashboardData?.calls?.triggered?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.calls?.triggered?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.calls?.triggered?.change,'image')" />
                            {{dashboardData?.calls?.triggered?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.calls?.triggered?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Calls Answered</p>
                        <h3>{{dashboardData?.calls?.answered?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.calls?.answered?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.calls?.answered?.change,'image')" />
                            {{dashboardData?.calls?.answered?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.calls?.answered?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>

          <div class="col-md-4 col-sm-12">
            <div class="row">
              <div class="col-md-10 offset-md-1">
                <div class="row g-3">
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Positive</p>
                        <h3>{{dashboardData?.leads?.positive?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.leads?.positive?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.leads?.positive?.change,'image')" />
                            {{dashboardData?.leads?.positive?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.leads?.positive?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>No Response</p>
                        <h3>{{dashboardData?.leads?.noresponse?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.leads?.noresponse?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.leads?.noresponse?.change,'image')" />
                            {{dashboardData?.leads?.noresponse?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.leads?.noresponse?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-4 col-sm-12">
            <div class="row">
              <div class="col-md-10 offset-md-2">
                <div class="row g-3">
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Missed Calls</p>
                        <h3>{{dashboardData?.calls?.missed?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.calls?.missed?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.calls?.missed?.change,'image')" />
                            {{dashboardData?.calls?.missed?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.calls?.missed?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6 col-6">
                    <div class="box-inner">
                      <div class="box-div">
                        <p>Opt-Outs</p>
                        <h3>{{dashboardData?.leads?.optout?.current}}</h3>
                        <div class="d-flex">
                          <p [class]="setImageAndColor(dashboardData?.leads?.optout?.change,'text')">
                            <img [src]="setImageAndColor(dashboardData?.leads?.optout?.change,'image')" />
                            {{dashboardData?.leads?.optout?.change}}
                            
                          </p>
                          <span>
                            {{dashboardData?.leads?.optout?.complete}} Total
                            
                          </span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </section>
  <section class="leads-main">
    <div class="container">
      <div class="leads-inner">
        <div class="row">
          <div class="col-lg-6 col-md-12 mb-4 graph-div">
            <h6 class="common-col-head">Leads and Engagement</h6>
            <div class="card">
              <div class="common-bg card-body app-graph">
                <app-graph></app-graph>
                <!-- <a id="download" class="btn btn-primary">download</a> -->
               </div>
            </div>
          </div>
          <div class="col-lg-6 col-md-12 mb-4 heatmap-div">
            <h6 class="common-col-head">Timetable Heatmap</h6>
            <div class="card">
              <div class="common-bg card-body">
                <app-heatmap-calander></app-heatmap-calander>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </section>
  <section class="table-main">
    <!-- <div class="container"> -->
    <div class="container">
      <div class="tab-word-cloud-inner">
        <div class="row">
          <div class="col-lg-6 col-md-6 bound-div">
            <nav>
              <div class="nav nav-tabs" id="nav-tab" role="tablist">
                <button class="nav-link active " id="nav-inbound-tab" data-bs-toggle="tab" data-bs-target="#nav-inbound"
                  type="button" role="tab" aria-controls="nav-inbound" aria-selected="true">Inbound</button>
                <button class="nav-link" id="nav-outbound-tab" data-bs-toggle="tab" data-bs-target="#nav-outbound"
                  type="button" role="tab" aria-controls="nav-outbound" aria-selected="false">Outbound</button>
              </div>
            </nav>
            <div class="card">
              <div class="card-body">
                <div class="tab-content" id="nav-tabContent">
                  <div class="tab-pane fade show active" id="nav-inbound" role="tabpanel"
                    aria-labelledby="nav-inbound-tab">
                    <table class="table">
                      <thead>
                        <tr>
                          <th scope="col">Campaign</th>
                          <th scope="col">Leads</th>
                          <th scope="col">Positive</th>
                          <th scope="col">Calls</th>
                          <th scope="col">Appts.</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr *ngFor="let item of this.inboundData">
                          <td>{{item.campaign_name}}</td>
                          <td [class]="getBoundClass(item.leads)">{{item.leads}}</td>
                          <td [class]="getBoundClass(item.positive)">{{item.positive}}</td>
                          <td [class]="getBoundClass(item.calls)">{{item.calls}}</td>
                          <td [class]="getBoundClass(item.appointments)">{{item.appointments}}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="tab-pane fade" id="nav-outbound" role="tabpanel" aria-labelledby="nav-outbound-tab">
                    <table class="table">
                      <thead>
                        <tr class="odd-tr">
                          <th scope="col">Campaign</th>
                          <th scope="col">Leads</th>
                          <th scope="col">Positive</th>
                          <th scope="col">Calls</th>
                          <th scope="col">Appts.</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr *ngFor="let item of this.outboundData">
                          <td>{{item.campaign_name}}</td>
                          <td [class]="getBoundClass(item.leads)">{{item.leads}}</td>
                          <td [class]="getBoundClass(item.positive)">{{item.positive}}</td>
                          <td [class]="getBoundClass(item.calls)">{{item.calls}}</td>
                          <td [class]="getBoundClass(item.appointments)">{{item.appointments}}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

            </div>

          </div>
          <div class="col-lg-6 col-md-6 word-cloud-div">
            <h6 class="common-col-head">Word Cloud</h6>
            <div class="card">
              <div class="card-body" *ngIf="wordCloudData.length > 0">
                <app-word-cloud [wordCloudData]="wordCloudData" class="cloud-main"></app-word-cloud>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>


  <!-- Modal -->
  <div class="modal fade date-modal" id="dateBackdrop" data-bs-backdrop="date" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="dateBackdropLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">CUSTOM TIME PERIOD</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <form action="javascript: void(0);">
            <div class="date-picker-modal">
              <div class="form-group">
                <label>From</label>
                <input type="text" id="from_date" />
              </div>
              <div class="form-group">
                <label>To</label>
                <input type="text" id="to_date" />
              </div>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary cancel-btn" data-bs-dismiss="modal">CANCEL</button>
          <button type="button" class="btn btn-primary save-btn" (click)="saveCustomDate()"
            data-bs-dismiss="modal">SAVE</button>
        </div>
      </div>
    </div>
  </div>
</div>